an error about doing Count covariates

camelbbscamelbbs usaPosts: 1Member

I am running the Quality score recalibration and got an version error like this:

`java -Xmx4g -jar ~/GenomeAnalysisTK-2.1-3/GenomeAnalysisTK.jar -l INFO -R hg19.fa --DBSNP snp137.txt -I sdD1a_bam.marked.realigned.fixed.bam -T CountCovariates -cov ReadGroupCovariate -cov QualityScoreCovariate -cov CycleCovariate -cov DinucCovariate -recalFile sdD1a.recal_data.csv &
[11] 9980
[c@scigc-vm-10 shones]$ ##### ERROR ------------------------------------------------------------------------------------------

ERROR A USER ERROR has occurred (version 2.1-3-g8892c10):
ERROR The invalid arguments or inputs must be corrected before the GATK can proceed
ERROR Please do not post this error to the GATK forum
ERROR
ERROR See the documentation (rerun with -h) for this tool to view allowable command-line arguments.
ERROR Visit our website and forum for extensive documentation and answers to
ERROR commonly asked questions http://www.broadinstitute.org/gatk
ERROR
ERROR MESSAGE: Walker CountCovariates is no longer available in the GATK; it has been deprecated since version 2.0
ERROR ------------------------------------------------------------------------------------------`

Is there a solution for that?
Thanks.

Answers

  • Geraldine_VdAuweraGeraldine_VdAuwera Posts: 8,019Administrator, GATK Dev admin
    edited August 2013

    Yes there is a solution; read the updated documentation and you will find that in the workflow for Base quality score recalibration, CountCovariates has been replaced by BaseRecalibrator.

    Post edited by Geraldine_VdAuwera on

    Geraldine Van der Auwera, PhD

  • Geraldine_VdAuweraGeraldine_VdAuwera Posts: 8,019Administrator, GATK Dev admin

    Also, please consider upgrading to the latest version. Older versions (2.5 and earlier) are not supported.

    Geraldine Van der Auwera, PhD

  • flypig12345flypig12345 Posts: 1Member

    Thanks, I'll try it.

Sign In or Register to comment.